"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var path = require("path");
var install_1 = require("../standalone/install");
var pact_util_1 = require("./pact-util");
exports.standalone = function (platform, arch) {
    platform = platform || process.platform;
    arch = arch || process.arch;
    var binName = function (name) { return "" + name + (pact_util_1.default.isWindows(platform) ? ".bat" : ""); };
    var mock = binName("pact-mock-service");
    var message = binName("pact-message");
    var verify = binName("pact-provider-verifier");
    var broker = binName("pact-broker");
    var stub = binName("pact-stub-service");
    var entryPath = path.join(install_1.getBinaryEntry(platform, arch).folderName, "bin");
    return {
        cwd: pact_util_1.default.binaryBasePath,
        brokerRelativePath: path.join(entryPath, broker),
        brokerAbsolutePath: path.resolve(pact_util_1.default.binaryBasePath, entryPath, broker).trim(),
        messageRelativePath: path.join(entryPath, message),
        messageAbsolutePath: path.resolve(pact_util_1.default.binaryBasePath, entryPath, message).trim(),
        mockServiceRelativePath: path.join(entryPath, mock),
        mockServiceAbsolutePath: path.resolve(pact_util_1.default.binaryBasePath, entryPath, mock).trim(),
        stubRelativePath: path.join(entryPath, stub),
        stubAbsolutePath: path.resolve(pact_util_1.default.binaryBasePath, entryPath, stub).trim(),
        verifierRelativePath: path.join(entryPath, verify),
        verifierAbsolutePath: path.resolve(pact_util_1.default.binaryBasePath, entryPath, verify).trim()
    };
};
exports.default = exports.standalone();
//# sourceMappingURL=pact-standalone.js.map